[SRU] Add Microsoft-owned MAC addresses to 75-persistent-net-generator.rules

Bug #1274348 reported by Stephen A. Zarkos on 2014-01-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Undecided
Unassigned
Saucy
Low
Unassigned
Trusty
Undecided
Unassigned
udev (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Low
Unassigned

Bug Description

[SRU justification]

Impact : As Microsoft expands its public cloud offering it may need to utilize additional MAC address prefixes. If a user launches a Cloud instance when the MAC address is from a Microsoft MAC address that is not in the exclusion list, eth0 is persistantly named for the first NIC seen. If a user rebundles, or the machines has its MAC address changed, it will lose network connectivity.

Fix : Add Microsoft provided and requested MAC addresses to the Hyper-V list of excluded MAC addresses for peristent naming.

Test Case :
 - Launch Hyper-V VM with MAC address in each of the ranges
 - Install updated Udev/systemd
 - Delete any existing udev rule
 - Reboot and confirm that no new UDEV rule was added

Regression : None expected.

[ORIGNIAL BUG REPORT]

Currently /lib/udev/rules.d/75-persistent-net-generator.rules includes the following ignored MAC prefix for Hyper-V:

     # ignore Hyper-V virtual interfaces
     ENV{MATCHADDR}=="00:15:5d:*", GOTO="persistent_net_generator_end"

As Microsoft expands its public cloud offering it may need to utilize additional MAC address prefixes. In addition to 00:15:5d, please add the following Microsoft-owned MAC prefixes to this list:

 00-03-FF Microsoft Corporation
 00-0D-3A Microsoft Corp.
 00-1D-D8 Microsoft Corporation
 00-12-5A Microsoft Corporation
 00-17-FA Microsoft Corporation
 00-22-48 Microsoft Corporation
 00-25-AE Microsoft Corporation
 00-50-F2 MICROSOFT CORP.
 28-18-78 Microsoft Corporation
 50-1A-C5 Microsoft
 60-45-BD Microsoft
 7C-1E-52 Microsoft
 7C-ED-8D MICROSOFT
 DC-B4-C4 Microsoft XCG

Branch with patch attached, pending review and upload.

Changed in udev (Ubuntu):
assignee: nobody → Ben Howard (utlemming)
importance: Undecided → Medium

Nominated to all series as MS has asked for this to be backported to previous releases.

Martin Pitt (pitti) on 2014-01-30
no longer affects: systemd (Ubuntu Precise)
no longer affects: systemd (Ubuntu Quantal)
no longer affects: udev (Ubuntu Saucy)
no longer affects: udev (Ubuntu Trusty)
Changed in udev (Ubuntu):
status: New → Invalid
Martin Pitt (pitti) wrote :

I added these to my local systemd trusty packaging git to debian/extra/rules/75-persistent-net-generator.rules. We can certainly backport these for Precise.

I really question the utility for SRUing those to Quantal and Saucy, though. These are short-lived releases which aren't interesting in the server world (Quantal is EOL in 2 months), and this is by far not a critical bug.

Changed in systemd (Ubuntu Trusty):
status: New → Fix Committed
Changed in udev (Ubuntu Precise):
importance: Undecided → Medium
Changed in udev (Ubuntu Quantal):
importance: Undecided → Low
Changed in systemd (Ubuntu Saucy):
importance: Undecided → Low
Changed in udev (Ubuntu Precise):
status: New → Triaged

Stephen, can you please comment on the need for having a 12.10 and 13.10 backport? I assumed that this was needed on all supported releases, but if 12.04 and 14.04 LTS releases are fine that is okay.

FWIW, either way, I was planning on doing the SRU work.

Stephen A. Zarkos (stevez) wrote :

I synced with the Azure team and we think adding this change for just the LTS releases is sufficient.

Thanks!
Steve

Martin Pitt (pitti) wrote :

Ack, thanks for confirming!

Changed in systemd (Ubuntu Saucy):
status: New → Won't Fix
Changed in udev (Ubuntu Quantal):
status: New → Won't Fix
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 204-5ubuntu11

---------------
systemd (204-5ubuntu11) trusty; urgency=medium

  [ Ben Howard ]
  * debian/extra/rules/75-persistent-net-generator.rules: Add new block of
    Windows Azure ethernet hardware address to ignore persistent naming
    (LP: #1274348).

  [ Stefan Bader ]
  * Modify debian/extra/rules/78-graphics-card.rules to match for
    "efi-framebuffer" in addition to "efifb" (LP: #1277006)

  [ Martin Pitt ]
  * debian/extra/rules/78-graphics-card.rules: Add vesa-framebuffer as well,
    thanks to Andy Whitcroft for pointing out.
 -- Martin Pitt <email address hidden> Thu, 06 Feb 2014 12:42:39 +0100

Changed in systemd (Ubuntu Trusty):
status: Fix Committed → Fix Released

Per MS's request we need to backport this fix to 12.04, 12.10 and 13.10. Assigning this to myself to get the SRU's prepared.

Changed in systemd (Ubuntu Saucy):
status: Won't Fix → Confirmed
Changed in udev (Ubuntu Precise):
status: Triaged → Confirmed
Changed in udev (Ubuntu Quantal):
status: Won't Fix → Confirmed
Changed in systemd (Ubuntu Saucy):
assignee: nobody → Ben Howard (utlemming)
Changed in udev (Ubuntu Precise):
assignee: nobody → Ben Howard (utlemming)
Changed in udev (Ubuntu Quantal):
assignee: nobody → Ben Howard (utlemming)
description: updated
summary: - Add Microsoft-owned MAC addresses to 75-persistent-net-generator.rules
+ [SRU] Add Microsoft-owned MAC addresses to 75-persistent-net-
+ generator.rules
Martin Pitt (pitti) wrote :

precise/quantal/saucy SRUs uploaded, these now need to be reviewed/accepted by an SRU team member.

Changed in systemd (Ubuntu Saucy):
status: Confirmed → In Progress
Changed in udev (Ubuntu Precise):
status: Confirmed → In Progress
Changed in udev (Ubuntu Quantal):
status: Confirmed → In Progress

Hello Stephen, or anyone else affected,

Accepted systemd into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/systemd/204-0ubuntu19.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in systemd (Ubuntu Saucy):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Stephen, or anyone else affected,

Accepted udev into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/udev/175-0ubuntu13.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in udev (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in udev (Ubuntu Precise):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Stephen, or anyone else affected,

Accepted udev into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/udev/175-0ubuntu9.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Marking as verification done.

tags: removed: verification-needed
tags: added: verification-done

The verification of the Stable Release Update for udev has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 175-0ubuntu13.1

---------------
udev (175-0ubuntu13.1) quantal; urgency=low

  * hyperv-hwaddrs.patch: update ethernet exclusions for Hyper-V
    (LP: #1274348).
 -- Ben Howard <email address hidden> Wed, 12 Mar 2014 15:54:56 -0500

Changed in udev (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 204-0ubuntu19.2

---------------
systemd (204-0ubuntu19.2) saucy-proposed; urgency=medium

  * debian/extra/rules/75-persistent-net-generator.rules: update ethernet
    exclusions for Hyper-V (LP: #1274348).
 -- Ben Howard <email address hidden> Tue, 18 Feb 2014 17:30:36 -0700

Changed in systemd (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 175-0ubuntu9.5

---------------
udev (175-0ubuntu9.5) precise; urgency=low

  * hyperv-hwaddrs.patch: update ethernet exclusions for Hyper-V
    (LP: #1274348).
 -- Ben Howard <email address hidden> Wed, 12 Mar 2014 14:01:42 -0500

Changed in udev (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers